--- old/usr/src/lib/libm/common/complex/complex_wrapper.h	2019-06-06 20:39:47.403452696 +0000
+++ new/usr/src/lib/libm/common/complex/complex_wrapper.h	2019-06-06 20:39:47.419949076 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -33,57 +34,55 @@
 #pragma ident	"@(#)complex_wrapper.h	1.7	06/01/31 SMI"
 
 #if defined(__GNUC__)
-#define dcomplex double _Complex
-#define fcomplex float _Complex
-#define ldcomplex long double _Complex
-#define D_RE(x) __real__ x
-#define D_IM(x) __imag__ x
-#define F_RE(x) __real__ x
-#define F_IM(x) __imag__ x
-#define LD_RE(x) __real__ x
-#define LD_IM(x) __imag__ x
+#define	dcomplex		double _Complex
+#define	fcomplex		float _Complex
+#define	ldcomplex		long double _Complex
+#define	D_RE(x)			__real__ x
+#define	D_IM(x)			__imag__ x
+#define	F_RE(x)			__real__ x
+#define	F_IM(x)			__imag__ x
+#define	LD_RE(x)		__real__ x
+#define	LD_IM(x)		__imag__ x
 
 #include <complex.h>
 #else
-
-#define	dcomplex	double complex
-#define	fcomplex	float complex
-#define	ldcomplex	long double complex
-#define	_X_RE(__t, __z)	((__t *) &__z)[0]
-#define	_X_IM(__t, __z)	((__t *) &__z)[1]
-#define	D_RE(__z)	_X_RE(double, __z)
-#define	D_IM(__z)	_X_IM(double, __z)
-#define	F_RE(__z)	_X_RE(float, __z)
-#define	F_IM(__z)	_X_IM(float, __z)
-#define	LD_RE(__z)	_X_RE(long double, __z)
-#define	LD_IM(__z)	_X_IM(long double, __z)
+#define	dcomplex		double complex
+#define	fcomplex		float complex
+#define	ldcomplex		long double complex
+#define	_X_RE(__t, __z)		((__t *)&__z)[0]
+#define	_X_IM(__t, __z)		((__t *)&__z)[1]
+#define	D_RE(__z)		_X_RE(double, __z)
+#define	D_IM(__z)		_X_IM(double, __z)
+#define	F_RE(__z)		_X_RE(float, __z)
+#define	F_IM(__z)		_X_IM(float, __z)
+#define	LD_RE(__z)		_X_RE(long double, __z)
+#define	LD_IM(__z)		_X_IM(long double, __z)
 
 #include <complex.h>
 #endif
 
 #if defined(__sparc)
-#define	HIWORD	0
-#define	LOWORD	1
-#define	HI_XWORD(x)	((unsigned *) &x)[0]
-#define	XFSCALE(x, n)	((unsigned *) &x)[0] += n << 16	/* signbitl(x) == 0 */
-#define	CHOPPED(x)	((long double) ((double) (x)))
+#define	HIWORD		0
+#define	LOWORD		1
+#define	HI_XWORD(x)	((unsigned *)&x)[0]
+#define	XFSCALE(x, n)	((unsigned *)&x)[0] += n << 16	/* signbitl(x) == 0 */
+#define	CHOPPED(x)	((long double)((double)(x)))
 #elif defined(__x86)
-#define	HIWORD	1
-#define	LOWORD	0
-#define	HI_XWORD(x)	((((int *) &x)[2] << 16) | \
-			(0xffff & ((unsigned *) &x)[1] >> 15))
-#define	XFSCALE(x, n)	((unsigned short *) &x)[4] += n	/* signbitl(x) == 0 */
-#define	CHOPPED(x)	((long double) ((float) (x)))
+#define	HIWORD		1
+#define	LOWORD		0
+#define	HI_XWORD(x)	((((int *)&x)[2] << 16) | (0xffff & \
+	((unsigned *)&x)[1] >> 15))
+#define	XFSCALE(x, n)	((unsigned short *)&x)[4] += n	/* signbitl(x) == 0 */
+#define	CHOPPED(x)	((long double)((float)(x)))
 #else
 #error Unknown architecture
 #endif
-#define	HI_WORD(x)	((int *) &x)[HIWORD]	/* for double */
-#define	LO_WORD(x)	((int *) &x)[LOWORD]	/* for double */
-#define	THE_WORD(x)	((int *) &x)[0]		/* for float */
+#define	HI_WORD(x)		((int *)&x)[HIWORD]	/* for double */
+#define	LO_WORD(x)		((int *)&x)[LOWORD]	/* for double */
+#define	THE_WORD(x)		((int *)&x)[0]		/* for float */
 
 /*
  * iy:ly must have the sign bit already cleared
  */
-#define	ISINF(iy, ly)	(((iy - 0x7ff00000) | ly) == 0)
-
-#endif	/* _COMPLEX_WRAPPER_H */
+#define	ISINF(iy, ly)		(((iy - 0x7ff00000) | ly) == 0)
+#endif /* _COMPLEX_WRAPPER_H */
